%define		_class		Image
%define		_subclass	Remote
%define		upstream_name	%{_class}_%{_subclass}

Name:		php-pear-%{upstream_name}
Version:	1.0.2
Release:	%mkrel 11
Summary:	Retrieve information on remote image files
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Image_Remote/
Source0:	http://download.pear.php.net/package/%{upstream_name}-%{version}.tar.bz2
Requires(post): php-pear
Requires(preun): php-pear
Requires:	php-pear
BuildArch:	noarch
BuildRequires:	php-pear

%description
This class can be used for retrieving size information of remote image
files via HTTP without downloading the whole image.

%prep
%setup -q -c
mv package.xml %{upstream_name}-%{version}/%{upstream_name}.xml

%install
cd %{upstream_name}-%{version}
pear install --nodeps --packagingroot %{buildroot} %{upstream_name}.xml
rm -rf %{buildroot}%{_datadir}/pear/.??*

rm -rf %{buildroot}%{_datadir}/pear/docs
rm -rf %{buildroot}%{_datadir}/pear/tests

install -d %{buildroot}%{_datadir}/pear/packages
install -m 644 %{upstream_name}.xml %{buildroot}%{_datadir}/pear/packages

%files
%{_datadir}/pear/%{_class}
%{_datadir}/pear/packages/%{upstream_name}.xml




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.0.2-11.mga8
+ Revision: 1499062
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.2-10.mga7
+ Revision: 1273280
- Mageia 7 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 1.0.2-9.mga6
+ Revision: 938485
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.2-8.mga5
+ Revision: 746893
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.2-7.mga5
+ Revision: 687316
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.2-6.mga4
+ Revision: 516965
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.2-5.mga3
+ Revision: 376769
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 spuhler <spuhler> 1.0.2-4.mga1
+ Revision: 47490
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Image_Remote


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.2-4mdv2011.0
+ Revision: 613693
- the mass rebuild of 2010.1 packages

* Fri Dec 04 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-3mdv2010.1
+ Revision: 473547
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 1.0.2-2mdv2010.0
+ Revision: 441212
- rebuild

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.0.2-1mdv2009.1
+ Revision: 357910
- update to new version 1.0.2

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-3mdv2009.1
+ Revision: 322207
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-2mdv2009.0
+ Revision: 236900
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdv2007.0
+ Revision: 81934
- Import php-pear-Image_Remote

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 1.0.1-1mdk
- 1.0.1
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 1.0-1mdk
- initial Mandriva package (PLD import)

